graph_attr<- {igraph} | R Documentation

## Set all or some graph attributes

### Description

Set all or some graph attributes

### Usage

    graph_attr(graph, name) <- value

### Arguments

`graph` | The graph.
`name` | The name of the attribute to set. If missing, then `value` should be a named list, and all list members are set as attributes.
`value` | The value of the attribute to set

### Value

The graph, with the attribute(s) added.

### See Also

Other graph attributes: `$.igraph.vs`, `$<-.igraph.vs`, `V<-`, `[<-.igraph.vs`, `[[<-.igraph.vs`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`; `$.igraph`, `$<-.igraph`, `igraph-dollar`, `igraph-dollar`; `attributes`, `graph_attr_names`, `list.graph.attributes`; `delete_edge_attr`, `remove.edge.attribute`; `delete_graph_attr`, `remove.graph.attribute`; `delete_vertex_attr`, `remove.vertex.attribute`; `edge.attributes<-`, `edge_attr<-`; `edge.attributes`, `edge_attr`, `get.edge.attribute`; `edge_attr_names`, `list.edge.attributes`; `get.graph.attribute`, `graph.attributes`, `graph_attr`; `get.vertex.attribute`, `vertex.attributes`, `vertex_attr`; `list.vertex.attributes`, `vertex_attr_names`; `set.edge.attribute`, `set_edge_attr`; `set.graph.attribute`, `set_graph_attr`; `set.vertex.attribute`, `set_vertex_attr`; `vertex.attributes<-`, `vertex_attr<-`

### Examples

    g <- make_graph(~ A - B:C:D)
    graph_attr(g, "name") <- "4-star"
    g

    graph_attr(g) <- list(layout = layout_with_fr(g),
                           name = "4-star layed out")
    plot(g)

[Package igraph version 1.0.1 Index]